Get time entries for a specific issue
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

For the moment, you have to make 2 different calls (time tracking API and issues API) to gather the time entries for a specific issue.

Could it be possible to get the time entries for a specific issue with one or both these methods:

directly in issues/[ISSUE NUMBER].json, in the key "time_entries" (new key of the JSON)

in a new REST call, for example time_entries/issue/[ISSUE NUMBER].json, what would send back just the time entries and not

the whole issue info.

Thank you! :)

History

#1 - 2017-07-06 16:15 - Mischa The Evil

- Status changed from New to Needs feedback

César Lizurey wrote:

For the moment, you have to make 2 different calls (time tracking API and issues API) to gather the time entries for a specific issue.

 I don't think that's true. You can already retrieve the time entries of a specific issue with just one request: /time_entries.[format]?issue_id=~ID.

#2 - 2017-07-07 06:34 - César DJ Caësar 9114

You're actually right.

My feature request can be closed and next time I'll think a bit more before posting!

Thank you, Mischa.

#3 - 2017-07-08 02:12 - Mischa The Evil

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
